#ifdef STATISTICS
#include "Behavioural/include/Stat.h"

namespace morpheo {
namespace behavioural {
  void        Stat::create_expr     (std::string varname, std::string expr, bool each_cycle)
  {
    if (is_valid_var (varname))
      throw(ERRORMORPHEO("Stat::create_expr",_("Variable is not valid.")));
    
    expr_t expression;

    expression.variable   = (*_list_operand) [varname].counter;
    expression.expression = string2tree(expr);
    expression.each_cycle = each_cycle;

    _list_expr->push_back(expression);
  }
};
};
#endif
